"""Controls what posts are visible on the posting page."""
import ConfigParser, re

def readHTML():
    """Fetches posting page."""
    settings_conf=ConfigParser.ConfigParser()
    settings_conf.read(r'posts.conf')
    page_location=settings_conf.get('settings','page_location')
    FILE=open(page_location,'r')
    try:
        read_FILE=FILE.read()
    finally:
        FILE.close()
    return read_FILE

def saveHTML(new_HTML):
    """Saves new version of posting page."""
    settings_conf=ConfigParser.ConfigParser()
    settings_conf.read(r'posts.conf')
    page_location=settings_conf.get('settings','page_location')
    FILE=open(page_location,'w')
    try:
        read_FILE=FILE.write(new_HTML)
    finally:
        FILE.close()
    return read_FILE

def add_post(post_XHTML,ID):
    """Fetches posting page, adds post, and then saves the page."""
    read_FILE=readHTML()
    Insert_RE=re.compile('<!--pyBlog insert post-->',re.DOTALL)
    read_FILE=Insert_RE.sub('<!--pyBlog insert post-->\n\n\n<!--pyBlog post %s-->\n%s\n<!--pyBlog /post %s-->\n' % (ID,post_XHTML,ID),read_FILE)
    saveHTML(read_FILE)

def del_post(ID):
    """Fetches posting page, removes the specified post, and then saves the page."""
    orig_HTML=readHTML()
    ID_RE=re.compile(r'<!--pyBlog post %s-->(.*?)<!--pyBlog /post %s-->' % (ID,ID),re.DOTALL)
    new_HTML=ID_RE.sub('',orig_HTML)
    saveHTML(new_HTML)
