#!/usr/local/bin/python
"""Creates search page."""

import cgi
import security, PageGen
import ConfigParser, string

try:
    print PageGen.page_header
    if not security.InternetSecurity().checkCookiePasswd():
        print PageGen.login_redirect

    else:
        input_conf=ConfigParser.ConfigParser()
        input_conf.read(r'input.conf')
        page_info={'chunks':[],'controls':[]}
        page_info['chunks'].append(['ID',{'tag_type':'input','type':'text','name':'ID'}])
        if input_conf.has_section('text'):
            for option in input_conf.options('text'):
                tag={'tag_type':'input','type':'text'}
                tag['name']=option
                split_args=string.split(input_conf.get('text',option),',',1)
                if len(split_args)==2:
                    tag['max-length']=split_args[1]
                tag['size']=split_args[0]
                page_info['chunks'].append([option,tag])
        if input_conf.has_section('select'):
            for option in input_conf.options('select'):
                tag={'tag_type':'select'}
                tag['name']=option
                tag['between_tags']=['']
                tag['between_tags'].extend(string.split(input_conf.get('select',option),','))
                page_info['chunks'].append([option,tag])
        if input_conf.has_section('textarea'):
            for option in input_conf.options('textarea'):
                tag={'tag_type':'textarea'}
                tag['name']=option
                split_args=string.split(input_conf.get('textarea',option),',',1)
                try:
                    tag['rows']=split_args[0]
                    tag['cols']=split_args[1]
                except: pass
                page_info['chunks'].append([option,tag])

        page_info['controls']=({'tag_type':'input','type':'submit','value':'Search'},
                               {'tag_type':'input','type':'reset','value':'Clear'})
        print PageGen.InputPage('select.py').createPage(page_info)

except:
    import sys, traceback
    print '<pre>'
    traceback.print_exc()
    print '</pre>'
