import re

def checkIP(IP):
    if re.match(r'(?P<a>[012]?\d?\d)\.(?P<b>[012]?\d?\d)\.(?P<c>[012]?\d?\d)\.(?P<d>[012]?\d?\d)',IP): return 1
    else: return 0





def quickCGIServer(address='127.0.0.1'):
    from BaseHTTPServer import HTTPServer
    from CGIHTTPServer import CGIHTTPRequestHandler

    CGIHTTPRequestHandler.cgi_directories.append('')
    serv=HTTPServer((address,8080),CGIHTTPRequestHandler)
    serv.serve_forever()

if __name__=='__main__':
    import sys
    address='127.0.0.1'
    if len(sys.argv)>1:
        import getopt,re
        option_check={'-p':lambda x: os.path.isdir(x),
                      '-i':lambda x: checkIP(x)}
        opts,extra=getopt.getopt(sys.argv[1:],'i:p:',['ip=','path='])
        for option,val in opts:
            if not option_check[option](val): sys.exit()
            else:
                if option=='-p': os.chdir(val)
                elif option=='-i': address=val
    quickCGIServer(address)
