"""Manages calls to redirect.py ."""
import cgi, PageGen
import manage_visible, archive.main

def handle_select(passed_cgi):
    """Manages request from select.py."""
    ID=passed_cgi['ID'].value
    service=passed_cgi['service'].value
    if service=='Delete': archive.main.del_post(ID)
    elif service=='Make Visible':
        manage_visible.add_post(archive.main.fetch_post(ID).post,ID)
    return PageGen.post_redirect

def handle_visible(passed_cgi):
    """Manages request from visible.py."""
    manage_visible.del_post(passed_cgi['ID'].value)
    return PageGen.post_redirect
