#!/usr/local/bin/python
"""Handles post info for login.py, select.py, visible.py, and logging out.
add_post.py is left out because of its need for the FieldStorage object to keep empty values.
"""

import cgi
import security, PageGen
import manage_redirect


try:
    XHTML_output=PageGen.login_redirect

    cookie_output=0
    form_info=cgi.FieldStorage()
    security_cookie=security.InternetSecurity()
    if form_info.has_key('service'):
        service=form_info['service'].value
        if service=='logout':
            cookie_output=security_cookie.expireCookiePasswd()
            XHTML_output=PageGen.login_redirect
        elif service=='login':  #Login info left in since has to deal with possible cookie header.
            if security.Security().checkPasswd(form_info['username'].value,form_info['password'].value):
                cookie_output=security_cookie.setCookiePasswd(form_info['username'].value,form_info['password'].value)
                XHTML_output=PageGen.post_redirect
        elif service in ('Delete','Make Visible'): XHTML_output=manage_redirect.handle_select(form_info)
        elif service=='Remove Visible': XHTML_output=manage_redirect.handle_visible(form_info)
    elif security_cookie.checkCookiePasswd(): XHTML_output=PageGen.post_redirect
    else: XHTML_output=PageGen.login_redirect


    if cookie_output:
        print cookie_output

    print PageGen.content_header
    print XHTML_output



except:
    import sys,traceback
    sys.stderr=sys.stdout
    print PageGen.content_header
    print '<pre>'
    traceback.print_exc()
    print '</pre>'
