#!/usr/local/bin/python
"""Displays posts for deletion."""

import cgi, security, PageGen
import manage_visible
import re

try:
    print PageGen.content_header
    
    if not security.InternetSecurity().checkCookiePasswd():
        print PageGen.login_redirect

    else:
        HTML_page=manage_visible.readHTML()
        all_posts_RE=re.compile('<!--pyBlog insert post-->(?P<XHTML>.*)<!--pyBlog /insert post-->',re.DOTALL)
        all_posts_XHTML=all_posts_RE.search(HTML_page).group('XHTML')
        post_RE=re.compile(r'<!--pyBlog post (?P<ID>.*?)-->(?P<XHTML>.*)<!--pyBlog /post \1-->',re.DOTALL)
        visible_posts=post_RE.findall(all_posts_XHTML)
        repacked_visible=[]
        for ID,post in visible_posts:
            repacked_visible.append([ID,[post]])
        page_info={'chunks':repacked_visible,
                   'controls':[{'tag_type':'input','type':'submit','name':'service','value':'Remove Visible'},
                               {'tag_type':'input','type':'reset','value':'clear'}]
                   }
        page_obj=PageGen.OutputPage('redirect.py')
        print page_obj.createPage(page_info)

except:
    import sys,traceback
    sys.stderr=sys.stdout
    print '\n\n<pre>'
    traceback.print_exc()
    print '</pre>'
